<?php
//Open Classifieds 1.3.2

	//initial sets
	date_default_timezone_set('Europe/Madrid');
	define('CHARSET',"UTF-8"); //if you change this change the DB according to
	
	//data base configuration
	define('DB_HOST', 'localhost');
	define('DB_USER', 'root');
	define('DB_PASS', 'AR');
	define('DB_NAME', 'openclassifieds');

	//errors and environment
	define('ENVIRONMENT', 'prod');//or dev (in dev no g.analitics or adsense are displayed)
	error_reporting(0);//comment it to report errors
	ini_set('display_errors','Off');// On to display errors
	
	
	///////////////////////////////////GLOBAL APP CONFIG///////////////////////////////////////////////////////////////
	
	//ADMIN Options IMPORTANT to review
	define('ADMIN','demo');//user name for the administrator
	define('ADMIN_PWD','demo');//password for the administrator
	
	define('DEFAULT_THEME', 'minimalistic');//default theme to display for more please visit open-classifieds.com
	define('THEME_SELECTOR',true);//if it's true allow users to change theme, see include theme.php
	
	define('SITE_NAME', 'Open Classifieds');
	define('NOTIFY_EMAIL','YOUR EMAIL HERE');//new items notification to, set NULL or comment for none
	define('LANGUAGE','english');  // This defines the language for the app /languages/%language%.php
	
	//Files and paths
	define('BASE','');//if you are going to use this application in a folder put it here, also modify the .htaccess or disable it. example: define('BASE','/o');
	define('SITE_ROOT',str_replace("\\","/",$_SERVER["DOCUMENT_ROOT"].BASE)); //path for windows aswell, something like this should work but I can't try I don't have windows
	define('SITE_URL','http://'.$_SERVER['SERVER_NAME'].BASE);//url of the app

	//General Options
	define('ITEMS_PER_PAGE',10);//pagination
	define('FRIENDLY_URL', true);//true is activated, you need to have the propper .htacces file, false disabled
	define('COUNT_POSTS', true);//true/false is activated uses the db to count the visits to a post
	define('HTML_EDITOR', true);//true/false is activated uses HTML rich areas in news ads
	define('DATE_FORMAT', 'dd-mm-yyyy');//used in function setDate in common.php
	define('MIN_SEARCH_CHAR',4);//minimal of characters to search
	define('CURRENCY','&euro;');// for US define('CURRENCY','$'); //currency for the app
	define('CURRENCY_FORMAT','AMOUNTCURRENCY');//for US: define('CURRENCY_FORMAT','CURRENCYAMOUNT'); //used in function getPrice($amount)
	define('PASSWORD_SIZE',8);//generated passsword for the item in the db, the maximun size is 8
	define('SEPARATOR',' | ');//char to separate items
	
	//Images
	define('MAX_IMG_SIZE', 4000000); // approx. 4 mb
	define('IMG_UPLOAD', '/images/');//needs to be writeble
	define('IMG_UPLOAD_DIR', SITE_ROOT.IMG_UPLOAD);//make sure is writeable thumbs would be generated in IMG_UPLOAD_DIR/thumbs
	define('MAX_IMG_NUM',4); // number of images can be uploaded per post
	define('IMG_TYPES',"gif,jpeg,png");//types of images that we allow to upload
	define('IMG_RESIZE',600);// set the biggest width or height to resize the uploaded images
	define('IMG_RESIZE_THUMB',100);// set the biggest width or height to resize the generated thumbs

	//RSS
	define('RSS_ITEMS',15);//items for the rss
	define('RSS_IMAGES',true);//images for the rss
	
	//Sitemap
	define('SITEMAP_FILE',SITE_ROOT."/sitemap.xml");//Sitemap
	define("SITEMAP_EXPIRE",86400);//seconds when the sitemap expire, false never exprires by time
	define("SITEMAP_DEL_ON_POST",true);//true delete SITEMAP on new item/post
	define("SITEMAP_DEL_ON_CAT",true);//true delete SITEMAP on new/update category
	
	/* Posts Types - If you are using friendly url, maybe you want to change RewriteRule for offer and need
	 * 0-Offer
	 * 1-Need
	 * Used in function getTypeName*/
	define('TYPE_OFFER',0);
	define('TYPE_NEED',1);
	define('TYPE_OFFER_NAME', 'offer');
	define('TYPE_NEED_NAME', 'need');
	
	//CACHE  used in CACHE.php
	define("CACHE_ACTIVE",true);//false disabled, true enabled the cache
	define("CACHE_DATA_FILE",SITE_ROOT."/cache/application.data");//where we keep the cache, needs to be writeble
	define("CACHE_EXPIRE",86400);//in seconds, when the cache expire, false is never deleted by time
	define("CACHE_DEL_ON_POST",true);//true delete cache on new item/post
	define("CACHE_DEL_ON_CAT",true);//true delete cache on new/update category
	
	//adsense client code, could be nice if you leave it :D,
	if (ENVIRONMENT=="dev") define('ADSENSE','');//for development no adsense
	else define('ADSENSE','pub-9818256176049741');// if you leave it empty is not displayed

	//google analytics code in the footer.php
	if (ENVIRONMENT=="dev") define('ANALYTICS','');//for development no analytics
	else define('ANALYTICS','');// if you leave it empty is not displayed
	
	
?>
