<?php

if (time()>(filemtime(SITEMAP_FILE)+SITEMAP_EXPIRE)&&SITEMAP_EXPIRE!=false){
	generateSitemap();// the sitemap is expired then generates it
}

function generateSitemap(){//generates the sitemap returns the xml

	$file=SITEMAP_FILE;

	$sitemap="<?xml version='1.0' encoding='UTF-8'?>
	<urlset xmlns='http://www.sitemaps.org/schemas/sitemap/0.9'
	xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'
	xsi:schemaLocation='http://www.sitemaps.org/schemas/sitemap/0.9
			    http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd'>";

	$query="SELECT name,friendlyName,
				(SELECT insertDate FROM posts p where idCategory=c.idCategory and isConfirmed=1 order by 1 desc limit 1 ) time
			FROM categories c order by idCategoryParent,'order'";
	$result =	app_query($query);
	while ($row=mysql_fetch_assoc($result))
	{
		 $sitemap.=makeUrlTag ("http://".$_SERVER['SERVER_NAME']."/category/".$row['friendlyName'], $row['time'], "hourly", "0.2");
	}
	
	$query="SELECT p.idPost,p.title,p.description,p.insertDate,
					c.Name category,c.idCategoryParent,p.type,p.price
					FROM posts p
						inner join categories c
				on c.idCategory=p.idCategory
			where p.isAvailable=1 and p.isConfirmed=1
			order by p.insertDate Desc";
	//echo $query;
	
	$result =	app_query($query);

	while ($row=mysql_fetch_assoc($result))
	{
		$idPost=$row['idPost'];
		$postType=$row['type'];
		$postTypeName=getTypeName($postType);
		$postTitle=html_entity_decode($row['title'],ENT_COMPAT,"UTF-8");
		$postPrice=$row['price'];
		$category=$row['category'];//real category name
		$fcategory=friendly_url($category);//frienfly name category
		$idCategoryParent=$row['idCategoryParent'];
		$insertDate=$row['insertDate'];
		$categoryUrl=$fcategory;
		
		if (FRIENDLY_URL){//friendly url activated
			$postUrl="/$idPost/$postTypeName/$fcategory/".friendly_url($postTitle);
		}
		else {//friendly url deactivated
			$postUrl="/item.php?item=$idPost&type=$postTypeName&category=$fcategory&title=".friendly_url($postTitle);
		}
		
		 $sitemap.=makeUrlTag (SITE_URL.$postUrl,$insertDate, "yearly", "0.3");
	}

	$sitemap.=makeUrlTag ("http://".$_SERVER['SERVER_NAME']."/rss/","", "hourly", "0.6");
	$sitemap.=makeUrlTag ("http://".$_SERVER['SERVER_NAME']."/contact/","", "yearly", "0.6");
	$sitemap.=makeUrlTag ("http://".$_SERVER['SERVER_NAME']."/new/","", "yearly", "0.6");
	$sitemap.=makeUrlTag ("http://".$_SERVER['SERVER_NAME']."/sitemap/","", "monthly", "0.6");
	$sitemap.=makeUrlTag ("http://".$_SERVER['SERVER_NAME']."/privacy/","", "monthly", "0.6");
	
	$sitemap.="</urlset>";
	
	if (file_exists($file))  unlink ($file);
	$file = fopen($file, "w");
	fwrite($file, $sitemap);
	fclose($file);
	
	return $sitemap;
}

//from http://www.smart-it-consulting.com/article.htm?node=133&page=37
function makeUrlString ($urlString) {
    return htmlentities($urlString, ENT_QUOTES, 'UTF-8');
}

function makeIso8601TimeStamp ($dateTime) {
    if (!$dateTime) {
        $dateTime = date('Y-m-d H:i:s');
    }
    if (is_numeric(substr($dateTime, 11, 1))) {
        $isoTS = substr($dateTime, 0, 10) ."T"
                 .substr($dateTime, 11, 8) ."+00:00";
    }
    else {
        $isoTS = substr($dateTime, 0, 10);
    }
    return $isoTS;
}

function makeUrlTag ($url, $modifiedDateTime, $changeFrequency, $priority) {
    GLOBAL $newLine;
    GLOBAL $indent;
    GLOBAL $isoLastModifiedSite;
    $urlOpen = "$indent<url>$newLine";
    $urlValue = "";
    $urlClose = "$indent</url>$newLine";
    $locOpen = "$indent$indent<loc>";
    $locValue = "";
    $locClose = "</loc>$newLine";
    $lastmodOpen = "$indent$indent<lastmod>";
    $lastmodValue = "";
    $lastmodClose = "</lastmod>$newLine";
    $changefreqOpen = "$indent$indent<changefreq>";
    $changefreqValue = "";
    $changefreqClose = "</changefreq>$newLine";
    $priorityOpen = "$indent$indent<priority>";
    $priorityValue = "";
    $priorityClose = "</priority>$newLine";

    $urlTag = $urlOpen;
    $urlValue     = $locOpen .makeUrlString("$url") .$locClose;
    if ($modifiedDateTime) {
     $urlValue .= $lastmodOpen .makeIso8601TimeStamp($modifiedDateTime) .$lastmodClose;
     if (!$isoLastModifiedSite) { // last modification of web site
         $isoLastModifiedSite = makeIso8601TimeStamp($modifiedDateTime);
     }
    }
    if ($changeFrequency) {
     $urlValue .= $changefreqOpen .$changeFrequency .$changefreqClose;
    }
    if ($priority) {
     $urlValue .= $priorityOpen .$priority .$priorityClose;
    }
    $urlTag .= $urlValue;
    $urlTag .= $urlClose;
    return $urlTag;
}
?>