SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

CREATE TABLE IF NOT EXISTS `categories` (
  `idCategory` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(64) NOT NULL,
  `order` int(2) unsigned NOT NULL default '0',
  `created` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `idCategoryParent` int(10) unsigned NOT NULL default '0',
  `friendlyName` varchar(64) NOT NULL,
  `description` text,
  PRIMARY KEY  USING BTREE (`idCategory`),
  KEY `Index_fname` (`friendlyName`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `posts` (
  `idPost` int(10) unsigned NOT NULL auto_increment,
  `isAvailable` int(1) NOT NULL default '1',
  `isConfirmed` int(1) NOT NULL default '0',
  `idCategory` int(10) unsigned NOT NULL default '0',
  `type` int(10) unsigned NOT NULL default '0',
  `title` varchar(145) NOT NULL,
  `description` text NOT NULL,
  `email` varchar(145) NOT NULL,
  `place` varchar(145) default '0',
  `name` varchar(50) NOT NULL,
  `price` int(10) NOT NULL default '0',
  `ip` varchar(18) NOT NULL default '',
  `insertDate` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `password` varchar(8) NOT NULL,
  `phone` varchar(11) default NULL,
  PRIMARY KEY  USING BTREE (`idPost`),
  KEY `FK_posts_categories` (`idCategory`),
  KEY `Index_title` (`title`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `postshits` (
  `idHit` int(10) unsigned NOT NULL auto_increment,
  `idPost` int(10) unsigned NOT NULL,
  `hitTime` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `ip` varchar(18) NOT NULL,
  PRIMARY KEY  (`idHit`),
  KEY `FK_PostsHits_idPost` (`idPost`),
  KEY `Index_hitTime` (`hitTime`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `postsimages` (
  `idImage` int(10) unsigned NOT NULL auto_increment,
  `idPost` int(10) unsigned NOT NULL,
  `FileName` varchar(245) NOT NULL,
  `insertDate` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`idImage`),
  KEY `FK_postsimages_idPost` (`idPost`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


ALTER TABLE `posts`
  ADD CONSTRAINT `FK_posts_categories` FOREIGN KEY (`idCategory`) REFERENCES `categories` (`idCategory`) ON DELETE CASCADE ON UPDATE CASCADE;


ALTER TABLE `postshits`
  ADD CONSTRAINT `FK_PostsHits_idPost` FOREIGN KEY (`idPost`) REFERENCES `posts` (`idPost`) ON DELETE CASCADE ON UPDATE CASCADE;


ALTER TABLE `postsimages`
  ADD CONSTRAINT `FK_postsimages_idPost` FOREIGN KEY (`idPost`) REFERENCES `posts` (`idPost`) ON DELETE CASCADE ON UPDATE CASCADE;
